Skip to main content

Eject All

The room in the URL is not currently applied

On this endpoint the roomId in the path is not used to select the chat room. If your account has more than one chat room, the call may act on a different room than the one you named. We have raised this with engineering. Until it is fixed, use the dashboard for this action, or contact support if you need it done via the API.


<button style={{ marginBottom: "10px" }} class="button button--outline button--active button--primary"> Post

https://api.deadsimplechat.com/consumer/api/v1/chatRoom/:roomId/eject-all

Eject All

This endpoint ejects all the users in the chat room.

info

The auth query parameter is your private key. You can find it in your Dashboard under Developer -> Private Key.

Turn Off Chatdescription
Parameters
roomIdstringroomID of the chatRoom
Query
authstringGo to Dashboard -> Developer -> Private Key is your auth

Responses

200

JSON

{
success: true
}

400

JSON
{
"message": "invalid accessToken"
}